org.apache.ignite.cache.store.cassandra.session

## Interface CassandraSession

- All Superinterfaces:
    AutoCloseable, Closeable
  All Known Implementing Classes:
    CassandraSessionImpl

      public interface CassandraSession
      extends Closeable

  Wrapper around Cassandra driver session, to automatically handle:
  - Keyspace and table absence exceptions
  - Timeout exceptions
  - Batch operations

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<R,V> R` | `execute(BatchExecutionAssistant<R,V> assistant, Iterable<? extends V> data)` Executes batch asynchronous operation against Cassandra database.
    `void` | `execute(BatchLoaderAssistant assistant)` Executes batch asynchronous operation to load bunch of records specified by CQL statement from Cassandra database
    `<V> V` | `execute(ExecutionAssistant<V> assistant)` Execute single synchronous operation against Cassandra database.
    `void` | `execute(List<Mutation> mutations)` Executes all the mutations performed withing Ignite transaction against Cassandra database.

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Method Detail

    - #### execute

          <V> V execute(ExecutionAssistant<V> assistant)

      Execute single synchronous operation against Cassandra database.
      Type Parameters:
        `V` - type of the result returned from operation.
      Parameters:
        `assistant` - execution assistance to perform the main operation logic.
      Returns:
        result of the operation.

    - #### execute

          <R,V> R execute(BatchExecutionAssistant<R,V> assistant,
                          Iterable<? extends V> data)

      Executes batch asynchronous operation against Cassandra database.
      Type Parameters:
        `R` - type of the result returned from batch operation.
        `V` - type of the value used in batch operation.
      Parameters:
        `assistant` - execution assistance to perform the main operation logic.
        `data` - data which should be processed in batch operation.
      Returns:
        result of the operation.

    - #### execute

          void execute(BatchLoaderAssistant assistant)

      Executes batch asynchronous operation to load bunch of records specified by CQL statement from Cassandra database
      Parameters:
        `assistant` - execution assistance to perform the main operation logic.

    - #### execute

          void execute(List<Mutation> mutations)

      Executes all the mutations performed withing Ignite transaction against Cassandra database.
      Parameters:
        `mutations` - Mutations.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021